# Reject a proposed life event

`POST /life/events/{id}/reject` · Rivier · agents

Reject a proposed life event.

- Scope: agents:write
- Graphql: Mutation.agentsLifeReject
- Sdk: agents.life.reject
- Cli: agents life reject

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "note": {
      "type": "string",
      "maxLength": 500
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/life/events/{id}/reject' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "note": "string"
}'
```
